#include "../include/jacu.h"
#include "Complex.h"

JACU_FIXTURE(ComplexTest)
{
    Complex theNum(1.0, 1.0);
}

JACU_SETUP(ComplexTest)
{
    ComplexTest::theNum.r = 2.5;
}

JACU_TEARDOWN(ComplexTest)
{
	ComplexTest::theNum.r = 0;
}

JACU_TEST(ComplexTest, testComponents)
{
	Complex c = theNum;
	JACU_ASSERT(c.r == 1.0 && c.i == 2.0);
}

// Ÿ ̱ 
#define TEST(testFunc) JACU_TEST(ComplexTest, test##testFunc)

TEST(ScalarMultiplication)
{
	Complex c(1.0, 2.0);
	c *=2;

	JACU_ASSERT_EQUALS(2.0, c.r);
//	JACU_ASSERT_EQUALS(4.0, c.i);
	JACU_ASSERT_EQUALS(3.0, c.i); // ǵ
	JACU_ASSERT(3.0 == c.i); // ǵ
}
